SC : A curses based sophisticated spreadsheet for UNIX.
     Ported to ATARI ST (Mint/MultiTOS) by Kees Lemmens; Dec '93

 -------------------------------------------------------------------------


This spreadsheet is very popular under UNIX users. Under UNIX there is
also an X-windows version with many graphic capabilities, called xspread.

It is slightly different from Lotus 123 (or clones) but it certainly
isn't less powerfull and it has a few nice extra features.
Furthermore: ... it is Public Domain. 

Features/Missings :

- SC is a .ttp program under ATARI, so it can run on every remote terminal
  that is listed in the termcap database or separate TOSWIN.
  It even runs without problems (and fast !) over a modemline, thanks to
  the very efficient way curses works for slow or distant terminals.

- As SC is a .TTP program, it doesn't support graphics, so you need i.e.
  GnuPlot to visualize things. (But ... GnuPlot is thousand times more
  sophisticated than any spreadsheet I have ever seen and it can run over
  a modemline when using Tektronix emulation !)

- SC sees any character you type as a command and not as input, although
  you can toggle (Ctrl-T n) SC to directly interpret numerical input.
  The latter is also achieved by the commandline option -n 

  To insert text there are basically three ways :
	< text 		(left justified)
	> text		(right justified)
	" text		(centered)

  To insert a number :	= number
  and a formula      :	= expression	(same as in Lotus)

  When numerical input is enabled, every 0-9, +, -, . will start a cell
  entry.

- Range commands can be given by pressing / (like 123 !)

  Look in the manual for details.
   
  If you mark a cell by pressing 'm' , you can copy it to any other cell,
  just by going there and pressing 'c'

- Cursor keys :

  3 ways :	VI style :	h, j, k, l 
  		Emacs    :	^b, ^f, ^n, ^p

  Cursorkeys are only available if your terminal and the termcap entry on
  the ATARI support them.
  The ATARI cursor keys (scancodes) are hardcoded, so on the ATARI console
  the cursor keys will always work (also in TOSWIN).

- Shell escapes: the standard shell was taken either from SHELL variable 
  or /bin/sh. I changed the latter in /bin/mintshel.ttp as this is commonly
  used on ATARI.


Executables
-----------

The executable for sc (sc.ttp)  was generated by GCC 2.4.5 with MINTLIBS 34.
PURE C didn't work because it didn't handle the bison/yacc output in a proper
way.

The other two (psc.ttp and scqref.ttp) were generated by PURE C with the
MINT libraries and GNU includes (also version 34) because :

a:	PURE C is more than 10 times as fast than GCC  !!!
b:	PURE C generates code that is about half the GCC code size !!!
c:	GCC compiler needs about 5 times as much internal memory as PCC !!!

GCC is a nice compiler and it compiles almost everything without problems,
but I don't want to wait an hour for my code to be compiled, especially
because I can't use my ATARI for anything else as GCC eats virtually all
internal memory of my 4 MB (!!) MEGA STE.


Files in this archive
---------------------

	sc.ttp
	psc.ttp
	scqref.ttp
	sc.doc
	psc.doc
	tutorial.sc
	readme		(from original distribution)
	readme.st	(this file)


Any remarks or suggestions about these programs can be send to:
lemmens@dv.twi.tudelft.nl
